<?
//////////////////////////////////////////////////////
// ПРОСМОТР СОДЕРЖИМОГО ZIP АРХИВОВ В ЗАГРУЗ-ЦЕНТРЕ //
//                    ДЛЯ DCMS 4                    //
//     АВТОР: HARUKA (http://script-planet.ru)      //
//                  ICQ: 444977782                  //
//////////////////////////////////////////////////////
include_once "../SYSTEM/include/functions.php";
include_once "../SYSTEM/include/mysql.php";
include_once "../SYSTEM/include/param.php";
include_once "../SYSTEM/include/ban.php";
include_once "../SYSTEM/include/sess.php";
include_once "../SYSTEM/include/ban_2.php";
include_once "../SYSTEM/include/theme.php";
include_once "pclzip.php";
$title='Просмотр архива';
$mesto='В загрузках';
head();
if (isset($_GET['file']) and !empty($_GET['file']))
{
if (ereg("\.\.\/",$_GET['file']))
{
ban_ip($ip,3600,'Попытка взлома З-Ц');
header("Location: ".BASEDIR."banip.php?".SID."");
exit;
}
$file = $_GET['file'];
$file=htmlspecialchars($file);
if (file_exists("../downloads".$file))
{
echo "<div class=\"h\">".basename($file)."</div><hr />\n";
echo "<div class=\"mess\">";
$file = new PclZip("../downloads".$file);
$list = $file -> listContent();
for ($i = 0; $i < count($list); $i++)
{
echo $list[$i]['filename']."<br/>";
}
}
else
{
echo "<div class=\"h\">Ошибка!</div><hr />\n";
echo "<div class=\"mess\">Файл не найден";
}
echo "</div>";
}
else
{
header("Location: index.php?".SID."");
exit;
}
echo "<hr />\n";
echo "<a href=\"index.php?l=".$_GET['file']."\">К описанию</a><br />\n";
echo "<a href=\"../index.php\">&lt;&lt; На главную</a>\n";
foot();
?>
